Loading...
Searching...
No Matches
iio_types.h File Reference
`#include <gnuradio/iio/api.h>`
`#include <charconv>`
`#include <string>`
`#include <variant>`
`#include <vector>`
Include dependency graph for iio_types.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::iio::iio_param_t

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::iio

## Typedefs

typedef std::variant< long long unsigned int, long unsigned int, int, double, std::string > | gr::iio::iio_param_value_t
typedef std::vector< iio_param_t > | gr::iio::iio_param_vec_t

## Enumerations

enum class | gr::iio::data_type_t { gr::iio::DOUBLE = 0 , gr::iio::FLOAT = 1 , gr::iio::LONGLONG = 2 , gr::iio::INT = 3 , gr::iio::UINT8 = 4 }
enum class | gr::iio::attr_type_t { gr::iio::CHANNEL = 0 , gr::iio::DEVICE = 1 , gr::iio::DEVICE_BUFFER = 2 , gr::iio::DEVICE_DEBUG = 3 , gr::iio::DIRECT_REGISTER_ACCESS = 4 }